Transfer a published segment plan

Prev Next
Post
/segmentation/transfer

Transfers every matching contact from a published segment plan into an existing or newly created group. Supply groupId for an existing group, or omit it and supply groupName and groupEmail to create a group.

Query parameters
id
stringRequired

ID of the published segment plan (GUID).

groupId
integer (int64)

Existing target group id. Omit to create a group.

syncMode
stringRequired

Transfer mode: add or replace.

groupName
string

Name for a new target group. Required when groupId is omitted.

groupEmail
string

Email address for a new target group. Required when groupId is omitted.

groupTemplateId
integer (int64)

Optional settings template id for a new target group.

useIndividualToAddress
boolean

Optional individual-to-address setting for a new target group.

Responses
200

The target group id and asynchronous process id.

object
groupId
integer (int64)
processId
integer (int64)
400

A parameter is missing or invalid.

404

The target group does not exist.

500

The transfer could not be scheduled.